log4cplus::thread::impl Namespace Reference

## Classes

class | SharedMutex

## Typedefs

typedef void * | tls_value_type

## Functions

LOG4CPLUS_EXPORT void LOG4CPLUS_ATTRIBUTE_NORETURN | syncprims_throw_exception (char const *const msg, char const *const file, int line)
tls_key_type | tls_init (tls_init_cleanup_func_type)
tls_value_type | tls_get_value (tls_key_type)
void | tls_set_value (tls_key_type, tls_value_type)
void | tls_cleanup (tls_key_type)

## Typedef Documentation

## tls_value_type

typedef void* log4cplus::thread::impl::tls_value_type

Definition at line 57 of file tls.h.

## Function Documentation

## syncprims_throw_exception()

LOG4CPLUS_EXPORT void LOG4CPLUS_ATTRIBUTE_NORETURN log4cplus::thread::impl::syncprims_throw_exception | ( | char const *const | msg,
|  | char const *const | file,
|  | int | line )

## tls_cleanup()

void log4cplus::thread::impl::tls_cleanup | ( | tls_key_type |  | ) |

inline

References LOG4CPLUS_UNLIKELY.

## tls_get_value()

tls_value_type log4cplus::thread::impl::tls_get_value | ( | tls_key_type |  | ) |

inline

Referenced by log4cplus::internal::get_ptd().

## tls_init()

tls_key_type log4cplus::thread::impl::tls_init | ( | tls_init_cleanup_func_type |  | ) |

inline

## tls_set_value()

void log4cplus::thread::impl::tls_set_value | ( | tls_key_type | ,
|  | tls_value_type | )

inline

Referenced by log4cplus::internal::set_ptd().